Get QES Verification Result
curl --request GET \
--url https://api-umbrella.io/api/services/onboarding/getVerification/{sessionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-umbrella.io/api/services/onboarding/getVerification/{sessionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-umbrella.io/api/services/onboarding/getVerification/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"data": {
"isVerified": true,
"status": "completed",
"message": "Verification completed",
"requestId": "64d35e63-fdf4-43f6-8459-1216787fb34e",
"signature": {
"content": [
{
"id": "e919520e-bb24-41c3-8a7b-88b3c8b0008b",
"method": "RemoteSignatureLongLivedDisposableCertificate",
"status": "COMPLETED",
"pageMode": "headless",
"signedAt": "2025-06-11T11:53:04.107687Z",
"plainResource": {
"id": "5a28c0e7-a57e-4bb5-88f3-6b6bb47c2cf7",
"name": "Document To Sign",
"type": "CONTRACT_DOCUMENT",
"family": "DOCUMENT_TO_SIGN",
"status": "AVAILABLE",
"subType": "DOCUMENT_FLATTENED",
"filename": "Onboarding_TEST.pdf",
"metadata": {
"sourceTemplateUrl": "https://files.example.com/Onboarding_TEST.pdf"
},
"mimeType": "application/pdf",
"sizeBytes": 138763,
"resourceUri": "nor://example/resource/5a28c0e7",
"resourceUrl": "https://example.com/storage/data/Onboarding_TEST.pdf",
"urlValidBefore": "2025-06-16T11:53:34.028Z"
},
"signedResource": {
"id": "60ab66ba-3b03-477c-8936-be55b15e890f",
"type": "CONTRACT_DOCUMENT",
"family": "SIGNED_DOCUMENT",
"status": "AVAILABLE",
"filename": "Onboarding_TEST.pdf",
"metadata": {
"fileId": "8168e8d7-ab7b-4c6f-b19e-2fe1418da0d1",
"workstep": "EXAMPLE_WORKSTEP_ID"
},
"mimeType": "application/pdf",
"sizeBytes": 207066,
"resourceUri": "nor://example/resource/60ab66ba",
"resourceUrl": "https://example.com/storage/data/Onboarding_TEST_signed.pdf",
"urlValidBefore": "2025-06-16T11:53:34.028Z"
}
}
]
},
"identification": {
"id": "2b307448-4880-4d3d-b9ab-0a438298c77a",
"actor": "userToIdentify",
"idSelf": {
"artifacts": {
"biometry": [],
"document": []
},
"biometryCheck": {
"keysWithError": [],
"controlsSummary": 0
},
"documentCheck": {
"documentType": "PASSPORT",
"documentTypeFamily": "IDENTITY_DOCUMENT",
"keysWithError": [],
"controlsSummary": 0
}
},
"source": "ID-SELF",
"status": "COMPLETED",
"personData": {
"email": "max.mustermann@example.com",
"gender": "M",
"firstName": "Max",
"lastName": "Mustermann",
"birthDate": "1971-01-01",
"birthPlace": "Musterstadt",
"nationality": "DE",
"phoneNumber": "+491234567890",
"documentDetails": {
"type": "Passport",
"number": "X1234567",
"issuedOn": "2016-01-01",
"expiryDate": "2026-01-01",
"issuanceCountry": "DE",
"issuanceAuthority": "Example Authority"
}
},
"finalizedAt": "2025-06-11T11:52:29.961249669Z",
"organizationId": "example-org-id",
"validationDetail": {
"email": {
"otpValidated": "SKIPPED",
"byRequestInput": "OK",
"requestMatched": "SKIPPED",
"byIdentificationSource": "SKIPPED"
}
}
}
}
}QES Onboarding
QES Onboarding Get Verification Service
QES Onboarding Get Verification Service API Documentation
GET
/
onboarding
/
getVerification
/
{sessionId}
Get QES Verification Result
For a usage description of the QES Onboarding Get Verification Service, please refer to the QES Onboarding page.
Endpoint
GET/onboarding/getVerification/{sessionId}
Swagger
Authorizations
Bearer token obtained from POST /auth. Valid for 60 minutes.
Path Parameters
ID from the onboarding session.
⌘I